Compare commits

..

27 Commits

Author SHA1 Message Date
TIP Automation User
7dfb76f465 Chg: update image tag in helm values to v3.1.0 2024-06-29 16:50:42 +00:00
TIP Automation User
173cb600c7 Chg: update image tag in helm values to v3.1.0-RC2 2024-06-20 15:13:16 +00:00
jaspreetsachdev
dca112bc41 Merge pull request #271 from Telecominfraproject/WIFI-13821
WIFI-13821 update release GH
2024-06-10 15:31:03 -04:00
Carsten Schafer
a1d60baac2 Merge branch 'release/v3.1.0' into WIFI-13821 2024-06-10 15:30:47 -04:00
Carsten Schafer
bf38159cbe WIFI-13821 update release GH
Signed-off-by: Carsten Schafer <Carsten.Schafer@kinarasystems.com>
2024-06-10 15:28:13 -04:00
jaspreetsachdev
1052d57e1d Merge pull request #270 from Telecominfraproject/main
Updating Helm CI package.
2024-06-10 15:23:18 -04:00
Carsten Schafer
f02dd63750 Merge pull request #269 from Telecominfraproject/WIFI-13130-tuning
WIFI-13130 Document some OWLS tuning and try to fix GH issues
2024-06-10 15:01:25 -04:00
Carsten Schafer
8d673a8e90 Document some OWLS tuning and try to fix GH issues
Signed-off-by: Carsten Schafer <Carsten.Schafer@kinarasystems.com>
2024-06-10 14:50:15 -04:00
TIP Automation User
34d03d9eaf Chg: update image tag in helm values to v3.1.0-RC1 2024-06-09 17:02:09 +00:00
Carsten Schafer
f4720fcb33 Merge pull request #268 from Telecominfraproject/WIFI-13361
Bump up resources for kafka - from default chart resources
2024-05-30 16:46:25 -04:00
Carsten Schafer
7b93a3a6cc Bump up resources for kafka - from default chart resources
Signed-off-by: Carsten Schafer <Carsten.Schafer@kinarasystems.com>
2024-05-30 15:58:30 -04:00
Carsten Schafer
d8674a82b2 Merge pull request #266 from Telecominfraproject/WIFI-13361
Wifi 13361: Change to most recent kafka version
2024-05-16 16:19:25 -04:00
Carsten Schafer
f4a8649bad WIFI-13361 - fix CI issues
Signed-off-by: Carsten Schafer <Carsten.Schafer@kinarasystems.com>
2024-05-15 12:15:23 -04:00
Carsten Schafer
bc00e6244e WIFI-13361 - remove old bitnami chart ref
Signed-off-by: Carsten Schafer <Carsten.Schafer@kinarasystems.com>
2024-05-15 12:02:27 -04:00
Carsten Schafer
123c341f9b WIFI-13361: change to most recent kafka without zookeeper
Signed-off-by: Carsten Schafer <Carsten.Schafer@kinarasystems.com>
2024-05-15 10:48:06 -04:00
Carsten Schafer
a377966ac9 initial Kafka version changes
Signed-off-by: Carsten Schafer <Carsten.Schafer@kinarasystems.com>
2024-04-15 11:34:46 -04:00
Carsten Schafer
9093a85ccf Merge pull request #265 from Telecominfraproject/WIFI-13130
WIFI-13130 - add support for qa03 and dev03 env on another cluster
2024-04-10 13:29:06 -04:00
Carsten Schafer
3133f07edb WIFI-13130 - add support for qa03 and dev03 env on another cluster
Signed-off-by: Carsten Schafer <Carsten.Schafer@kinarasystems.com>
2024-04-10 09:48:35 -04:00
Carsten Schafer
c7692c9107 Merge pull request #262 from Telecominfraproject/WIFI-13357-be-able-to-set-ingress-class-name-for-all-the-component-helm-charts-as-the-annotation-is-no-longer-supported
Wifi 13357 be able to set ingress class name for all the component helm charts as the annotation is no longer supported
2024-02-15 11:48:55 -05:00
Carsten Schafer
536e84ce50 Give haproxy a few more resources
Signed-off-by: Carsten Schafer <Carsten.Schafer@kinarasystems.com>
2024-02-14 10:10:30 -05:00
Carsten Schafer
70c8886d24 Don't always cleanup the namespace unless called with full argument
Signed-off-by: Carsten Schafer <Carsten.Schafer@kinarasystems.com>
2024-02-13 12:07:17 -05:00
Carsten Schafer
0ee5ea9648 Remove ingress.class annotation 2024-02-13 12:05:29 -05:00
Carsten Schafer
6f2c8d9b02 Merge pull request #261 from Telecominfraproject/WIFI-13246-CS-postgres
WIFI-13246 Switch to non-HA postgres without pgpool
2024-02-13 10:41:06 -05:00
Carsten Schafer
796c78cf1c Also piggyback ingress changes on this bug WIFI-13357
Signed-off-by: Carsten Schafer <Carsten.Schafer@kinarasystems.com>
2024-02-09 15:35:04 -05:00
Carsten Schafer
6355161429 WIFI-13246 Switch to non-HA postgres without pgpool
Signed-off-by: Carsten Schafer <Carsten.Schafer@kinarasystems.com>
2024-02-09 15:19:59 -05:00
jaspreetsachdev
c84cd0f15b Merge pull request #257 from Telecominfraproject/pgpool-test
Changed regular expression
2024-02-01 12:26:18 -05:00
jaspreetsachdev
ea4d0e40fa Merge pull request #256 from Telecominfraproject/pgpool-test
Removed quotes
2024-02-01 07:52:22 -05:00
24 changed files with 440 additions and 257 deletions

View File

@@ -49,7 +49,7 @@ jobs:
needs: envs
steps:
- name: Checkout actions repo
uses: actions/checkout@v3
uses: actions/checkout@v4
with:
repository: Telecominfraproject/.github
path: github
@@ -72,7 +72,7 @@ jobs:
needs: envs
steps:
- name: Checkout actions repo
uses: actions/checkout@v3
uses: actions/checkout@v4
with:
repository: Telecominfraproject/.github
path: github
@@ -95,7 +95,7 @@ jobs:
needs: envs
steps:
- name: Checkout actions repo
uses: actions/checkout@v3
uses: actions/checkout@v4
with:
repository: Telecominfraproject/.github
path: github

View File

@@ -22,7 +22,7 @@ jobs:
DOCKER_REGISTRY_URL: tip-tip-wlan-cloud-ucentral.jfrog.io
DOCKER_REGISTRY_USERNAME: ucentral
steps:
- uses: actions/checkout@v3
- uses: actions/checkout@v4
- name: Build Docker image
working-directory: chart/docker

View File

@@ -9,7 +9,7 @@ jobs:
runs-on: ubuntu-latest
steps:
- name: Checkout actions repo
uses: actions/checkout@v3
uses: actions/checkout@v4
with:
repository: Telecominfraproject/.github
path: github

View File

@@ -28,7 +28,7 @@ jobs:
runs-on: ubuntu-latest
steps:
- name: Checkout repo
uses: actions/checkout@v3
uses: actions/checkout@v4
with:
path: wlan-cloud-ucentral-deploy
@@ -36,7 +36,7 @@ jobs:
run: |
pip3 install yq
helm plugin install https://github.com/databus23/helm-diff
helm plugin install https://github.com/aslafy-z/helm-git
helm plugin install https://github.com/aslafy-z/helm-git --version 0.16.0
ls ~/.local/share/helm/plugins/helm-git/helm-git-plugin.sh || true
sed 's/--skip-refresh //' -i ~/.local/share/helm/plugins/helm-git/helm-git-plugin.sh
@@ -54,6 +54,6 @@ jobs:
git config --global credential.helper store
git config --global user.email "tip-automation@telecominfraproject.com"
git config --global user.name "TIP Automation User"
helm repo add bitnami https://charts.bitnami.com/bitnami
#helm repo add bitnami https://charts.bitnami.com/bitnami
helm repo update
./git-release-tool.sh

View File

@@ -11,13 +11,13 @@ defaults:
jobs:
helm-package:
runs-on: ubuntu-20.04
runs-on: ubuntu-latest
env:
HELM_REPO_URL: https://tip.jfrog.io/artifactory/tip-wlan-cloud-ucentral-helm/
HELM_REPO_USERNAME: ucentral
steps:
- name: Checkout uCentral assembly chart repo
uses: actions/checkout@v3
uses: actions/checkout@v4
with:
path: wlan-cloud-ucentral-deploy
repository: Telecominfraproject/wlan-cloud-ucentral-deploy
@@ -42,9 +42,9 @@ jobs:
- name: Build package
working-directory: wlan-cloud-ucentral-deploy/chart
run: |
helm plugin install https://github.com/aslafy-z/helm-git --version 0.10.0
helm repo add bitnami https://charts.bitnami.com/bitnami
helm repo update
helm plugin install https://github.com/aslafy-z/helm-git --version 0.16.0
#helm repo add bitnami https://charts.bitnami.com/bitnami
#helm repo update
helm dependency update
mkdir dist
helm package . -d dist
@@ -70,7 +70,7 @@ jobs:
cat Chart.yaml | yq -r '.dependencies[] | "\(.name) - \(.repository) v\(.version)"' >> release.txt
- name: Create GitHub release
uses: softprops/action-gh-release@v1
uses: softprops/action-gh-release@v2
with:
body_path: wlan-cloud-ucentral-deploy/chart/release.txt
files: wlan-cloud-ucentral-deploy/chart/dist/*
@@ -80,7 +80,7 @@ jobs:
needs: helm-package
steps:
- name: Trigger testing of release
uses: peter-evans/repository-dispatch@v1
uses: peter-evans/repository-dispatch@v3
with:
token: ${{ secrets.WLAN_TESTING_PAT }}
repository: Telecominfraproject/wlan-testing

View File

@@ -2,39 +2,35 @@ apiVersion: v2
name: openwifi
appVersion: "1.0"
description: A Helm chart for Kubernetes
version: 0.1.0
version: 3.1.0
dependencies:
- name: owgw
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw@helm?ref=master"
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw@helm?ref=v3.1.0"
version: 0.1.0
- name: owsec
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralsec@helm?ref=main"
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralsec@helm?ref=v3.1.0"
version: 0.1.0
- name: owfms
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralfms@helm?ref=main"
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralfms@helm?ref=v3.1.0"
version: 0.1.0
- name: owprov
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-owprov@helm?ref=main"
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-owprov@helm?ref=v3.1.0"
version: 0.1.0
- name: owanalytics
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-analytics@helm?ref=main"
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-analytics@helm?ref=v3.1.0"
version: 0.1.0
- name: owgwui
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw-ui@helm?ref=main"
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-ucentralgw-ui@helm?ref=v3.1.0"
version: 0.1.0
- name: owprovui
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-owprov-ui@helm?ref=main"
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-owprov-ui@helm?ref=v3.1.0"
version: 0.1.0
- name: owsub
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-userportal@helm?ref=main"
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-userportal@helm?ref=v3.1.0"
version: 0.1.0
- name: owrrm
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-rrm@helm?ref=main"
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-rrm@helm?ref=v2.8.0"
version: 0.1.0
- name: kafka
repository: https://tip.jfrog.io/artifactory/tip-wlan-cloud-ucentral-helm/
version: 13.0.2
condition: kafka.enabled
- name: owls
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-owls@helm?ref=main"
version: 0.1.0
@@ -43,11 +39,15 @@ dependencies:
repository: "git+https://github.com/Telecominfraproject/wlan-cloud-owls-ui@helm?ref=master"
version: 0.1.0
condition: owlsui.enabled
- name: kafka
repository: oci://registry-1.docker.io/bitnamicharts
version: 28.2.3
condition: kafka.enabled
- name: haproxy
repository: https://tip.jfrog.io/artifactory/tip-wlan-cloud-ucentral-helm/
version: 0.2.21
repository: oci://registry-1.docker.io/bitnamicharts
version: 0.13.3
condition: haproxy.enabled
- name: postgresql-ha
repository: https://tip.jfrog.io/artifactory/tip-wlan-cloud-ucentral-helm/
version: 8.6.13
condition: postgresql-ha.enabled
- name: postgresql
repository: oci://registry-1.docker.io/bitnamicharts
version: 13.4.3
condition: postgresql.enabled

3
chart/environment-values/.gitignore vendored Normal file
View File

@@ -0,0 +1,3 @@
_values.custom-*.yaml
certs/
env_*

View File

@@ -1,6 +1,15 @@
#!/bin/bash
[ -z "$NAMESPACE" ] && echo "No NAMESPACE set" && exit 1
helm -n openwifi-"$NAMESPACE" delete tip-openwifi
sleep 30
kubectl delete ns openwifi-"$NAMESPACE"
exit 0
ns="openwifi-$NAMESPACE"
echo "Cleaning up namespace $ns in 10 seconds..."
sleep 10
echo "- delete tip-openwifi helm release in $ns"
helm -n "$ns" delete tip-openwifi
if [[ "$1" == "full" ]] ; then
echo "- delete $ns namespace in 30 seconds..."
sleep 30
echo "- delete $ns namespace"
kubectl delete ns "$ns"
fi
echo "- cleaned up $ns namespace"
exit 0

View File

@@ -2,48 +2,47 @@
set -e
# Usage function
usage () {
echo >&2;
echo "This script is indended for OpenWIFI Cloud SDK deployment to TIP QA/Dev environments using assembly Helm chart (https://github.com/Telecominfraproject/wlan-cloud-ucentral-deploy/tree/main/chart) with configuration through environment variables" >&2;
echo >&2;
echo "Required environment variables:" >&2;
echo >&2;
echo "- NAMESPACE - namespace suffix that will used added for the Kubernetes environment (i.e. if you pass 'test', kubernetes namespace will be named 'ucentral-test')" >&2;
echo "- DEPLOY_METHOD - deployment method for the chart deployment (supported methods - 'git' (will use helm-git from assembly chart) and 'bundle' (will use chart stored in the Artifactory0" >&2;
echo "- CHART_VERSION - version of chart to be deployed from assembly chart (for 'git' method git ref may be passed, for 'bundle' method version of chart may be passed)" >&2;
echo >&2;
echo "- VALUES_FILE_LOCATION - path to file with override values that may be used for deployment" >&2;
echo "- DOMAIN - Domain name. default: cicd.lab.wlan.tip.build" >&2;
echo "- OWGW_AUTH_USERNAME - username to be used for requests to OpenWIFI Security" >&2;
echo "- OWGW_AUTH_PASSWORD - hashed password for OpenWIFI Security (details on this may be found in https://github.com/Telecominfraproject/wlan-cloud-ucentralsec/#authenticationdefaultpassword)" >&2;
echo "- OWFMS_S3_SECRET - secret key that is used for OpenWIFI Firmware access to firmwares S3 bucket" >&2;
echo "- OWFMS_S3_KEY - access key that is used for OpenWIFI Firmware access to firmwares S3 bucket" >&2;
echo "- OWSEC_NEW_PASSWORD - password that should be set to default user instead of default password from properties" >&2;
echo "- CERT_LOCATION - path to certificate in PEM format that will be used for securing all endpoint in all services" >&2;
echo "- KEY_LOCATION - path to private key in PEM format that will be used for securing all endpoint in all services" >&2;
echo >&2;
echo "Following environmnet variables may be passed, but will be ignored if CHART_VERSION is set to release (i.e. v2.4.0):" >&2;
echo >&2;
echo "- OWGW_VERSION - OpenWIFI Gateway version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)" >&2;
echo "- OWGWUI_VERSION - OpenWIFI Web UI version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)" >&2;
echo "- OWSEC_VERSION - OpenWIFI Security version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)" >&2;
echo "- OWFMS_VERSION - OpenWIFI Firmware version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)" >&2;
echo "- OWPROV_VERSION - OpenWIFI Provisioning version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)" >&2;
echo "- OWPROVUI_VERSION - OpenWIFI Provisioning Web UI version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)" >&2;
echo "- OWANALYTICS_VERSION - OpenWIFI Analytics version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)" >&2;
echo "- OWSUB_VERSION - OpenWIFI Subscription (Userportal) version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)" >&2;
echo "- OWRRM_VERSION - OpenWIFI radio resource management service (RRM) version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)" >&2;
echo >&2;
echo "Optional environment variables:" >&2;
echo >&2;
echo "- EXTRA_VALUES - extra values that should be passed to Helm deployment separated by comma (,)" >&2;
echo "- DEVICE_CERT_LOCATION - path to certificate in PEM format that will be used for load simulator" >&2;
echo "- DEVICE_KEY_LOCATION - path to private key in PEM format that will be used for load simulator" >&2;
echo "- USE_SEPARATE_OWGW_LB - flag that should change split external DNS for OWGW and other services" >&2;
echo "- INTERNAL_RESTAPI_ENDPOINT_SCHEMA - what schema to use for internal RESTAPI endpoints (https by default)" >&2;
echo "- IPTOCOUNTRY_IPINFO_TOKEN - token that should be set for IPInfo support (owgw/owprov iptocountry.ipinfo.token properties), ommited if not passed" >&2;
echo "- MAILER_USERNAME - SMTP username used for OWSEC mailer" >&2;
echo "- MAILER_PASSWORD - SMTP password used for OWSEC mailer (only if both MAILER_PASSWORD and MAILER_USERNAME are set, mailer will be enabled)" >&2;
function usage()
{
cat <<-EOF >&2
This script is indended for OpenWIFI Cloud SDK deployment to TIP QA/Dev environments using assembly Helm chart (https://github.com/Telecominfraproject/wlan-cloud-ucentral-deploy/tree/main/chart) with configuration through environment variables
Required environment variables:
- NAMESPACE - namespace suffix that will used added for the Kubernetes environment (i.e. if you pass 'test', kubernetes namespace will be named 'ucentral-test')
- DEPLOY_METHOD - deployment method for the chart deployment (supported methods - 'git' (will use helm-git from assembly chart), 'bundle' (will use chart stored in the Artifactory) or local
- CHART_VERSION - version of chart to be deployed from assembly chart (for 'git' method git ref may be passed, for 'bundle' method version of chart may be passed)
- VALUES_FILE_LOCATION - path to file with override values that may be used for deployment
- DOMAIN - Domain name. default: cicd.lab.wlan.tip.build
- OWGW_AUTH_USERNAME - username to be used for requests to OpenWIFI Security
- OWGW_AUTH_PASSWORD - hashed password for OpenWIFI Security (details on this may be found in https://github.com/Telecominfraproject/wlan-cloud-ucentralsec/#authenticationdefaultpassword)
- OWFMS_S3_SECRET - secret key that is used for OpenWIFI Firmware access to firmwares S3 bucket
- OWFMS_S3_KEY - access key that is used for OpenWIFI Firmware access to firmwares S3 bucket
- OWSEC_NEW_PASSWORD - password that should be set to default user instead of default password from properties
- CERT_LOCATION - path to certificate in PEM format that will be used for securing all endpoint in all services
- KEY_LOCATION - path to private key in PEM format that will be used for securing all endpoint in all services
The following environmnet variables may be passed, but will be ignored if CHART_VERSION is set to release (i.e. v2.4.0):
- OWGW_VERSION - OpenWIFI Gateway version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)
- OWGWUI_VERSION - OpenWIFI Web UI version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)
- OWSEC_VERSION - OpenWIFI Security version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)
- OWFMS_VERSION - OpenWIFI Firmware version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)
- OWPROV_VERSION - OpenWIFI Provisioning version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)
- OWPROVUI_VERSION - OpenWIFI Provisioning Web UI version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)
- OWANALYTICS_VERSION - OpenWIFI Analytics version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)
- OWSUB_VERSION - OpenWIFI Subscription (Userportal) version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)
- OWRRM_VERSION - OpenWIFI radio resource management service (RRM) version to deploy (will be used for Docker image tag and git branch for Helm chart if git deployment is required)
Optional environment variables:
- EXTRA_VALUES - extra values that should be passed to Helm deployment separated by comma (,)
- DEVICE_CERT_LOCATION - path to certificate in PEM format that will be used for load simulator
- DEVICE_KEY_LOCATION - path to private key in PEM format that will be used for load simulator
- USE_SEPARATE_OWGW_LB - flag that should change split external DNS for OWGW and other services
- INTERNAL_RESTAPI_ENDPOINT_SCHEMA - what schema to use for internal RESTAPI endpoints (https by default)
- IPTOCOUNTRY_IPINFO_TOKEN - token that should be set for IPInfo support (owgw/owprov iptocountry.ipinfo.token properties), ommited if not passed
- MAILER_USERNAME - SMTP username used for OWSEC mailer
- MAILER_PASSWORD - SMTP password used for OWSEC mailer (only if both MAILER_PASSWORD and MAILER_USERNAME are set, mailer will be enabled)
EOF
}
# Global variables
@@ -51,32 +50,30 @@ VALUES_FILE_LOCATION_SPLITTED=()
EXTRA_VALUES_SPLITTED=()
# Helper functions
check_if_chart_version_is_release() {
PARSED_CHART_VERSION=$(echo $CHART_VERSION | grep -xP "v[0-9]+\.[0-9]+\.[0-9]+.*")
if [[ -z "$PARSED_CHART_VERSION" ]]; then
return 1
else
return 0
fi
function check_if_chart_version_is_release()
{
[[ "$CHART_VERSION" =~ ^v[0-9]+\.[0-9]+\.[0-9]+ ]]
}
# Check if required environment variables were passed
## Deployment specifics
[ -z ${DEPLOY_METHOD+x} ] && echo "DEPLOY_METHOD is unset" >&2 && usage && exit 1
[ -z ${CHART_VERSION+x} ] && echo "CHART_VERSION is unset" >&2 && usage && exit 1
if check_if_chart_version_is_release; then
echo "Chart version ($CHART_VERSION) is release version, ignoring services versions"
else
echo "Chart version ($CHART_VERSION) is not release version, checking if services versions are set"
[ -z ${OWGW_VERSION+x} ] && echo "OWGW_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWGWUI_VERSION+x} ] && echo "OWGWUI_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWSEC_VERSION+x} ] && echo "OWSEC_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWFMS_VERSION+x} ] && echo "OWFMS_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWPROV_VERSION+x} ] && echo "OWPROV_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWPROVUI_VERSION+x} ] && echo "OWPROVUI_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWANALYTICS_VERSION+x} ] && echo "OWANALYTICS_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWSUB_VERSION+x} ] && echo "OWSUB_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWRRM_VERSION+x} ] && echo "OWRRM_VERSION is unset" >&2 && usage && exit 1
if [[ "$DEPLOY_METHOD" != "local" ]] ; then
if check_if_chart_version_is_release ; then
echo "Chart version ($CHART_VERSION) is a release version, ignoring services versions"
else
echo "Chart version ($CHART_VERSION) is not a release version, checking if services versions are set"
[ -z ${OWGW_VERSION+x} ] && echo "OWGW_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWGWUI_VERSION+x} ] && echo "OWGWUI_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWSEC_VERSION+x} ] && echo "OWSEC_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWFMS_VERSION+x} ] && echo "OWFMS_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWPROV_VERSION+x} ] && echo "OWPROV_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWPROVUI_VERSION+x} ] && echo "OWPROVUI_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWANALYTICS_VERSION+x} ] && echo "OWANALYTICS_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWSUB_VERSION+x} ] && echo "OWSUB_VERSION is unset" >&2 && usage && exit 1
[ -z ${OWRRM_VERSION+x} ] && echo "OWRRM_VERSION is unset" >&2 && usage && exit 1
fi
fi
## Environment specifics
[ -z ${NAMESPACE+x} ] && echo "NAMESPACE is unset" >&2 && usage && exit 1
@@ -108,54 +105,55 @@ export OWANALYTICS_VERSION_TAG=$(echo ${OWANALYTICS_VERSION} | tr '/' '-')
export OWSUB_VERSION_TAG=$(echo ${OWSUB_VERSION} | tr '/' '-')
export OWRRM_VERSION_TAG=$(echo ${OWRRM_VERSION} | tr '/' '-')
# Debug get bash version
bash --version >&2
# Check deployment method that's required for this environment
helm plugin install https://github.com/databus23/helm-diff || true
if [[ "$DEPLOY_METHOD" == "git" ]]; then
helm plugin install https://github.com/aslafy-z/helm-git --version 0.10.0 || true
rm -rf wlan-cloud-ucentral-deploy || true
git clone https://github.com/Telecominfraproject/wlan-cloud-ucentral-deploy.git
cd wlan-cloud-ucentral-deploy
git checkout $CHART_VERSION
cd chart
if ! check_if_chart_version_is_release; then
sed -i '/wlan-cloud-ucentralgw@/s/ref=.*/ref='${OWGW_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-ucentralgw-ui@/s/ref=.*/ref='${OWGWUI_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-ucentralsec@/s/ref=.*/ref='${OWSEC_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-ucentralfms@/s/ref=.*/ref='${OWFMS_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-owprov@/s/ref=.*/ref='${OWPROV_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-owprov-ui@/s/ref=.*/ref='${OWPROVUI_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-analytics@/s/ref=.*/ref='${OWANALYTICS_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-userportal@/s/ref=.*/ref='${OWSUB_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-rrm@/s/ref=.*/ref='${OWRRM_VERSION}'\"/g' Chart.yaml
fi
helm repo add bitnami https://charts.bitnami.com/bitnami
helm repo update
helm dependency update
cd ../..
export DEPLOY_SOURCE="wlan-cloud-ucentral-deploy/chart"
elif [[ "$DEPLOY_METHOD" == "bundle" ]]; then
helm repo add tip-wlan-cloud-ucentral-helm https://tip.jfrog.io/artifactory/tip-wlan-cloud-ucentral-helm/ || true
export DEPLOY_SOURCE="tip-wlan-cloud-ucentral-helm/openwifi --version $CHART_VERSION"
if [[ "$DEPLOY_METHOD" == "git" ]] ; then
helm plugin list | grep "^helm-git" || helm plugin install https://github.com/aslafy-z/helm-git || true
rm -rf wlan-cloud-ucentral-deploy || true
git clone https://github.com/Telecominfraproject/wlan-cloud-ucentral-deploy.git
cd wlan-cloud-ucentral-deploy
git checkout $CHART_VERSION
cd chart
if ! check_if_chart_version_is_release ; then
sed -i '/wlan-cloud-ucentralgw@/s/ref=.*/ref='${OWGW_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-ucentralgw-ui@/s/ref=.*/ref='${OWGWUI_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-ucentralsec@/s/ref=.*/ref='${OWSEC_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-ucentralfms@/s/ref=.*/ref='${OWFMS_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-owprov@/s/ref=.*/ref='${OWPROV_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-owprov-ui@/s/ref=.*/ref='${OWPROVUI_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-analytics@/s/ref=.*/ref='${OWANALYTICS_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-userportal@/s/ref=.*/ref='${OWSUB_VERSION}'\"/g' Chart.yaml
sed -i '/wlan-cloud-rrm@/s/ref=.*/ref='${OWRRM_VERSION}'\"/g' Chart.yaml
fi
#helm repo add bitnami https://charts.bitnami.com/bitnami && helm repo update
[ -z "$SKIP_DEPS" ] && helm dependency update
cd ../..
export DEPLOY_SOURCE="wlan-cloud-ucentral-deploy/chart"
elif [[ "$DEPLOY_METHOD" == "bundle" ]] ; then
helm repo add tip-wlan-cloud-ucentral-helm https://tip.jfrog.io/artifactory/tip-wlan-cloud-ucentral-helm/ || true
export DEPLOY_SOURCE="tip-wlan-cloud-ucentral-helm/openwifi --version $CHART_VERSION"
elif [[ "$DEPLOY_METHOD" == "local" ]] ; then
export DEPLOY_SOURCE=".."
pushd ..
[ -z "$SKIP_DEPS" ] && helm dependency update
popd
else
echo "Deploy method is not correct: $DEPLOY_METHOD. Valid values: git or bundle" >&2
exit 1
echo "Deploy method is not correct: $DEPLOY_METHOD. Valid values: git, bundle or local" >&2
exit 1
fi
VALUES_FILES_FLAGS=()
IFS=',' read -ra VALUES_FILE_LOCATION_SPLITTED <<< "$VALUES_FILE_LOCATION"
for VALUE_FILE in ${VALUES_FILE_LOCATION_SPLITTED[*]}; do
VALUES_FILES_FLAGS+=("-f" $VALUE_FILE)
VALUES_FILES_FLAGS+=("-f" $VALUE_FILE)
done
EXTRA_VALUES_FLAGS=()
IFS=',' read -ra EXTRA_VALUES_SPLITTED <<< "$EXTRA_VALUES"
for EXTRA_VALUE in ${EXTRA_VALUES_SPLITTED[*]}; do
EXTRA_VALUES_FLAGS+=("--set" $EXTRA_VALUE)
EXTRA_VALUES_FLAGS+=("--set" $EXTRA_VALUE)
done
if [[ "$USE_SEPARATE_OWGW_LB" == "true" ]]; then
if [[ "$USE_SEPARATE_OWGW_LB" == "true" ]] ; then
export HAPROXY_SERVICE_DNS_RECORDS="sec-${NAMESPACE}.${DOMAIN},fms-${NAMESPACE}.${DOMAIN},prov-${NAMESPACE}.${DOMAIN},analytics-${NAMESPACE}.${DOMAIN},sub-${NAMESPACE}.${DOMAIN}"
export OWGW_SERVICE_DNS_RECORDS="gw-${NAMESPACE}.${DOMAIN}"
else
@@ -163,21 +161,13 @@ else
export OWGW_SERVICE_DNS_RECORDS=""
fi
echo "Deploying into openwifi-${NAMESPACE} with the following values files:"
echo ${VALUES_FILES_FLAGS[*]}
echo
envsubst < values.custom.tpl.yaml > values.custom-${NAMESPACE}.yaml
envsubst < values.custom.tpl.yaml > _values.custom-${NAMESPACE}.yaml
echo "Using configuration:"
echo "---"
cat values.custom-${NAMESPACE}.yaml
echo "---"
set -x
helm upgrade --install --create-namespace --wait --timeout 60m \
--namespace openwifi-${NAMESPACE} \
${VALUES_FILES_FLAGS[*]} \
${EXTRA_VALUES_FLAGS[*]} \
-f values.custom-${NAMESPACE}.yaml \
-f _values.custom-${NAMESPACE}.yaml \
--set-file owgw.certs."restapi-cert\.pem"=$CERT_LOCATION \
--set-file owgw.certs."restapi-key\.pem"=$KEY_LOCATION \
--set-file owgw.certs."websocket-cert\.pem"=$CERT_LOCATION \

View File

@@ -15,8 +15,8 @@ owgwui:
ingresses:
default:
enabled: true
className: alb
annotations:
kubernetes.io/ingress.class: alb
alb.ingress.kubernetes.io/scheme: internet-facing
alb.ingress.kubernetes.io/group.name: wlan-cicd
alb.ingress.kubernetes.io/certificate-arn: arn:aws:acm:ap-south-1:289708231103:certificate/2cc8c764-11fd-411d-bf7d-a93f488f3f6c
@@ -65,8 +65,8 @@ owprovui:
ingresses:
default:
enabled: true
className: alb
annotations:
kubernetes.io/ingress.class: alb
alb.ingress.kubernetes.io/scheme: internet-facing
alb.ingress.kubernetes.io/group.name: wlan-cicd
alb.ingress.kubernetes.io/certificate-arn: arn:aws:acm:ap-south-1:289708231103:certificate/2cc8c764-11fd-411d-bf7d-a93f488f3f6c

View File

@@ -77,10 +77,33 @@ owprovui:
REACT_APP_UCENTRALSEC_URL: http://localhost:16001
kafka:
heapOpts: -Xmx512m -Xms512m
volumePermissions:
enabled: true
commonAnnotations:
cluster-autoscaler.kubernetes.io/safe-to-evict: "false"
readinessProbe:
initialDelaySeconds: 45
livenessProbe:
initialDelaySeconds: 60
kraft:
enabled: true
heapOpts: -Xmx1024m -Xms1024m
zookeeper:
heapSize: 256
enabled: false
controller:
replicaCount: 1
extraConfig: |-
maxMessageBytes = 1048588
extraEnvVars:
- name: ALLOW_PLAINTEXT_LISTENER
value: "yes"
listeners:
client:
protocol: PLAINTEXT
containerPort: 9092
controller:
protocol: "PLAINTEXT"
broker:
persistence:
size: 20Gi
replicaCount: 2

View File

@@ -323,13 +323,43 @@ owprovui:
REACT_APP_UCENTRALSEC_URL: https://localhost:16001
kafka:
heapOpts: -Xmx512m -Xms512m
volumePermissions:
enabled: true
commonAnnotations:
cluster-autoscaler.kubernetes.io/safe-to-evict: "false"
#resources:
# requests:
# cpu: 100m
# memory: 512Mi
# limits:
# cpu: 500m
# memory: 1Gi
readinessProbe:
initialDelaySeconds: 45
livenessProbe:
initialDelaySeconds: 60
kraft:
enabled: true
heapOpts: -Xmx1024m -Xms1024m
zookeeper:
heapSize: 256
enabled: false
controller:
replicaCount: 1
extraConfig: |-
maxMessageBytes = 1048588
extraEnvVars:
- name: ALLOW_PLAINTEXT_LISTENER
value: "yes"
listeners:
client:
protocol: PLAINTEXT
containerPort: 9092
controller:
protocol: "PLAINTEXT"
broker:
persistence:
size: 20Gi
replicaCount: 2
restapiCerts:
enabled: true

View File

@@ -0,0 +1,22 @@
owgwui:
ingresses:
default:
annotations:
alb.ingress.kubernetes.io/certificate-arn: arn:aws:acm:us-east-2:289708231103:certificate/299d7444-acc4-46c2-ae83-40d2cd5f49be
owprovui:
ingresses:
default:
annotations:
alb.ingress.kubernetes.io/certificate-arn: arn:aws:acm:us-east-2:289708231103:certificate/299d7444-acc4-46c2-ae83-40d2cd5f49be
owrrm:
services:
owrrm:
annotations:
service.beta.kubernetes.io/aws-load-balancer-ssl-cert: arn:aws:acm:us-east-2:289708231103:certificate/299d7444-acc4-46c2-ae83-40d2cd5f49be
haproxy:
service:
annotations:
service.beta.kubernetes.io/aws-load-balancer-ssl-cert: arn:aws:acm:us-east-2:289708231103:certificate/299d7444-acc4-46c2-ae83-40d2cd5f49be

View File

@@ -0,0 +1,7 @@
owgw:
configProperties:
radius.proxy.enable: "false"
radius.proxy.accounting.port: 1813
radius.proxy.authentication.port: 1812
radius.proxy.coa.port: 3799
radsec.keepalive: 120

View File

@@ -12,25 +12,43 @@ owgw:
service.beta.kubernetes.io/aws-load-balancer-ssl-ports: "16002,16003,17002"
configProperties:
simulatorid: 53494D020202
storage.type: postgresql
storage.type.postgresql.host: owgw-pgsql
storage.type.postgresql.database: owgw
storage.type.postgresql.username: owgw
storage.type.postgresql.password: owgw
openwifi.certificates.allowmismatch: "true"
# done by default for owgw now:
#simulatorid: 53494D020202
# on a host with more CPUs you may need to bump this up from default of 64
storage.type.postgresql.maxsessions: 120
# this actually disables websocket logging:
logging.websocket: true
# consider lowering the # of days to keep archives in the database
#archiver.db.0.name = healthchecks
#archiver.db.0.keep = 1
#archiver.db.1.name = statistics
#archiver.db.1.keep = 1
#archiver.db.2.name = devicelogs
#archiver.db.2.keep = 1
#archiver.db.3.name = commandlist
#archiver.db.3.keep = 1
resources:
requests:
cpu: 2000m
memory: 3000Mi
memory: 3Gi
limits:
cpu: 2000m
memory: 3000Mi
memory: 5Gi
postgresql:
enabled: true
fullnameOverride: owgw-pgsql
postgresqlDatabase: owgw
postgresqlUsername: owgw
postgresqlPassword: owgw
# Postgres tuning for larger # of APs
#postgresql:
# primary:
# resourcesPreset: large
# persistence:
# size: 120Gi
owprov:
# consider providing more memory to owprov
resources:
requests:
cpu: 10m
memory: 20Mi
limits:
cpu: 100m
memory: 4Gi

View File

@@ -2,7 +2,7 @@ owgw:
configProperties:
simulatorid: 53494D020202
storage.type: postgresql
storage.type.postgresql.host: pgsql-pgpool
storage.type.postgresql.host: pgsql
storage.type.postgresql.database: owgw
storage.type.postgresql.username: owgw
storage.type.postgresql.password: owgw
@@ -10,7 +10,7 @@ owgw:
owsec:
configProperties:
storage.type: postgresql
storage.type.postgresql.host: pgsql-pgpool
storage.type.postgresql.host: pgsql
storage.type.postgresql.database: owsec
storage.type.postgresql.username: owsec
storage.type.postgresql.password: owsec
@@ -18,7 +18,7 @@ owsec:
owfms:
configProperties:
storage.type: postgresql
storage.type.postgresql.host: pgsql-pgpool
storage.type.postgresql.host: pgsql
storage.type.postgresql.database: owfms
storage.type.postgresql.username: owfms
storage.type.postgresql.password: owfms
@@ -26,7 +26,7 @@ owfms:
owprov:
configProperties:
storage.type: postgresql
storage.type.postgresql.host: pgsql-pgpool
storage.type.postgresql.host: pgsql
storage.type.postgresql.database: owprov
storage.type.postgresql.username: owprov
storage.type.postgresql.password: owprov
@@ -34,7 +34,7 @@ owprov:
owanalytics:
configProperties:
storage.type: postgresql
storage.type.postgresql.host: pgsql-pgpool
storage.type.postgresql.host: pgsql
storage.type.postgresql.database: owanalytics
storage.type.postgresql.username: owanalytics
storage.type.postgresql.password: owanalytics
@@ -42,15 +42,41 @@ owanalytics:
owsub:
configProperties:
storage.type: postgresql
storage.type.postgresql.host: pgsql-pgpool
storage.type.postgresql.host: pgsql
storage.type.postgresql.database: owsub
storage.type.postgresql.username: owsub
storage.type.postgresql.password: owsub
postgresql-ha:
postgresql:
enabled: true
initDbScriptSecret:
enabled: true
initdbScriptsSecret: tip-openwifi-initdb-scripts
volumePermissions:
enabled: true
global:
postgresql:
auth:
postgresPassword: postgres
auth:
postgresPassword: postgres
primary:
# Consider using this resource model for small installations
#resourcesPreset: medium
extendedConfiguration: |-
max_connections = 550
shared_buffers = 128MB
initdb:
scriptsSecret: tip-openwifi-initdb-scripts
# Consider using this disk size for small installations
#persistence:
# size: 30Gi
postgresql-ha:
enabled: false
initDbScriptSecret:
enabled: false
initdbScriptsSecret: tip-openwifi-initdb-scripts
pgpool:
adminPassword: admin
resources:

View File

@@ -357,7 +357,6 @@ owgwui:
default:
enabled: true
annotations:
kubernetes.io/ingress.class: alb
alb.ingress.kubernetes.io/scheme: internet-facing
alb.ingress.kubernetes.io/group.name: wlan-cicd
alb.ingress.kubernetes.io/certificate-arn: arn:aws:acm:ap-south-1:289708231103:certificate/2cc8c764-11fd-411d-bf7d-a93f488f3f6c
@@ -565,7 +564,6 @@ owprovui:
default:
enabled: true
annotations:
kubernetes.io/ingress.class: alb
alb.ingress.kubernetes.io/scheme: internet-facing
alb.ingress.kubernetes.io/group.name: wlan-cicd
alb.ingress.kubernetes.io/certificate-arn: arn:aws:acm:ap-south-1:289708231103:certificate/2cc8c764-11fd-411d-bf7d-a93f488f3f6c
@@ -813,31 +811,50 @@ owrrm:
memory: 512Mi
kafka:
volumePermissions:
enabled: true
commonAnnotations:
cluster-autoscaler.kubernetes.io/safe-to-evict: "false"
heapOpts: -Xmx512m -Xms512m
resources:
requests:
cpu: 100m
memory: 512Mi
limits:
cpu: 500m
memory: 1Gi
readinessProbe:
initialDelaySeconds: 45
livenessProbe:
initialDelaySeconds: 60
heapOpts: -Xmx1024m -Xms1024m
kraft:
enabled: true
zookeeper:
commonAnnotations:
cluster-autoscaler.kubernetes.io/safe-to-evict: "false"
heapSize: 256
enabled: false
controller:
replicaCount: 1
extraConfig: |-
maxMessageBytes = 1048588
extraEnvVars:
- name: ALLOW_PLAINTEXT_LISTENER
value: "yes"
resources:
requests:
cpu: 100m
memory: 256Mi
cpu: 500m
memory: 512Mi
limits:
cpu: 200m
memory: 384Mi
cpu: 750m
memory: 2Gi
listeners:
client:
protocol: PLAINTEXT
containerPort: 9092
controller:
protocol: "PLAINTEXT"
broker:
persistence:
size: 20Gi
replicaCount: 2
resources:
requests:
cpu: 500m
memory: 512Mi
limits:
cpu: 750m
memory: 2Gi
clustersysteminfo:
enabled: true
@@ -846,11 +863,11 @@ clustersysteminfo:
haproxy:
resources:
requests:
cpu: 10m
memory: 20Mi
cpu: 50m
memory: 50Mi
limits:
cpu: 10m
memory: 20Mi
cpu: 50m
memory: 50Mi
service:
annotations:
service.beta.kubernetes.io/aws-load-balancer-backend-protocol: ssl

View File

@@ -0,0 +1,29 @@
owgw:
services:
owgw:
annotations:
service.beta.kubernetes.io/aws-load-balancer-ssl-cert: arn:aws:acm:us-east-2:289708231103:certificate/299d7444-acc4-46c2-ae83-40d2cd5f49be
owgwui:
ingresses:
default:
annotations:
alb.ingress.kubernetes.io/certificate-arn: arn:aws:acm:us-east-2:289708231103:certificate/299d7444-acc4-46c2-ae83-40d2cd5f49be
owprovui:
ingresses:
default:
annotations:
alb.ingress.kubernetes.io/certificate-arn: arn:aws:acm:us-east-2:289708231103:certificate/299d7444-acc4-46c2-ae83-40d2cd5f49be
owrrm:
services:
owrrm:
annotations:
service.beta.kubernetes.io/aws-load-balancer-ssl-cert: arn:aws:acm:us-east-2:289708231103:certificate/299d7444-acc4-46c2-ae83-40d2cd5f49be
haproxy:
service:
annotations:
service.beta.kubernetes.io/aws-load-balancer-ssl-cert: arn:aws:acm:us-east-2:289708231103:certificate/299d7444-acc4-46c2-ae83-40d2cd5f49be

View File

@@ -0,0 +1,13 @@
{{- define "openwifi.user_creation_script_sql" -}}
{{- $root := . -}}
{{- $postgresqlBase := index .Values "postgresql" }}
{{- $postgresqlEmulatedRoot := (dict "Values" $postgresqlBase "Chart" (dict "Name" "postgresql") "Release" $.Release) }}
{{ range index .Values "postgresql" "initDbScriptSecret" "services" }}
CREATE USER {{ index $root "Values" . "configProperties" "storage.type.postgresql.username" }};
ALTER USER {{ index $root "Values" . "configProperties" "storage.type.postgresql.username" }} WITH ENCRYPTED PASSWORD '{{ index $root "Values" . "configProperties" "storage.type.postgresql.password" }}';
CREATE DATABASE {{ index $root "Values" . "configProperties" "storage.type.postgresql.database" }};
GRANT ALL PRIVILEGES ON DATABASE {{ index $root "Values" . "configProperties" "storage.type.postgresql.database" }} TO {{ index $root "Values" . "configProperties" "storage.type.postgresql.username" }};
ALTER DATABASE {{ index $root "Values" . "configProperties" "storage.type.postgresql.database" }} OWNER TO {{ index $root "Values" . "configProperties" "storage.type.postgresql.username" }};
{{ end }}
{{- end -}}

View File

@@ -1,5 +1,5 @@
{{- $root := . -}}
{{- if index .Values "postgresql-ha" "initDbScriptSecret" "enabled" }}
{{- if index .Values "postgresql-ha" "initDbScriptSecret" "enabled" }}
---
apiVersion: v1
metadata:
@@ -14,3 +14,18 @@ type: Opaque
data:
users_creation.sh: {{ include "openwifi.user_creation_script" . | b64enc | quote }}
{{- end }}
{{- if index .Values "postgresql" "initDbScriptSecret" "enabled" }}
---
apiVersion: v1
metadata:
labels:
app.kubernetes.io/name: {{ include "openwifi.name" . }}
helm.sh/chart: {{ include "openwifi.chart" . }}
app.kubernetes.io/instance: {{ .Release.Name }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
name: {{ include "openwifi.fullname" . }}-initdb-scripts
kind: Secret
type: Opaque
data:
initdb.sql: {{ include "openwifi.user_creation_script_sql" . | b64enc | quote }}
{{- end }}

View File

@@ -1,7 +1,6 @@
# OpenWIFI Gateway (https://github.com/Telecominfraproject/wlan-cloud-ucentralgw/)
owgw:
fullnameOverride: owgw
configProperties:
openwifi.kafka.enable: "true"
openwifi.kafka.brokerlist: kafka:9092
@@ -9,7 +8,6 @@ owgw:
# OpenWIFI Security (https://github.com/Telecominfraproject/wlan-cloud-ucentralsec)
owsec:
fullnameOverride: owsec
configProperties:
openwifi.kafka.enable: "true"
openwifi.kafka.brokerlist: kafka:9092
@@ -17,7 +15,6 @@ owsec:
# OpenWIFI Firmware (https://github.com/Telecominfraproject/wlan-cloud-ucentralfms)
owfms:
fullnameOverride: owfms
configProperties:
openwifi.kafka.enable: "true"
openwifi.kafka.brokerlist: kafka:9092
@@ -25,7 +22,6 @@ owfms:
# OpenWIFI Provisioning (https://github.com/Telecominfraproject/wlan-cloud-owprov/)
owprov:
fullnameOverride: owprov
configProperties:
openwifi.kafka.enable: "true"
openwifi.kafka.brokerlist: kafka:9092
@@ -33,7 +29,6 @@ owprov:
# OpenWIFI Analytics (https://github.com/Telecominfraproject/wlan-cloud-analytics)
owanalytics:
fullnameOverride: owanalytics
configProperties:
openwifi.kafka.enable: "true"
openwifi.kafka.brokerlist: kafka:9092
@@ -49,7 +44,6 @@ owprovui:
# OpenWIFI Subscription (https://github.com/Telecominfraproject/wlan-cloud-userportal/)
owsub:
fullnameOverride: owsub
configProperties:
openwifi.kafka.enable: "true"
openwifi.kafka.brokerlist: kafka:9092
@@ -57,35 +51,22 @@ owsub:
# OpenWIFI radio resource management (https://github.com/Telecominfraproject/wlan-cloud-rrm/)
owrrm:
fullnameOverride: owrrm
mysql:
enabled: true
# kafka (https://github.com/bitnami/charts/blob/master/bitnami/kafka/)
kafka:
enabled: true
fullnameOverride: kafka
image:
registry: docker.io
repository: bitnami/kafka
tag: 2.8.0-debian-10-r43
minBrokerId: 100
zookeeper:
fullnameOverride: zookeeper
# clustersysteminfo check
clustersysteminfo:
enabled: false
delay: 0 # number of seconds to delay clustersysteminfo execution
images:
clustersysteminfo:
repository: tip-tip-wlan-cloud-ucentral.jfrog.io/clustersysteminfo
tag: main
tag: v3.1.0
pullPolicy: Always
# regcred:
# registry: tip-tip-wlan-cloud-ucentral.jfrog.io
@@ -103,23 +84,17 @@ clustersysteminfo:
# limits:
# cpu: 100m
# memory: 128Mi
nodeSelector: {}
tolerations: []
affinity: {}
public_env_variables:
FLAGS: "-s --connect-timeout 3"
OWSEC: owsec-owsec:16001
CHECK_RETRIES: 30
secret_env_variables:
OWSEC_DEFAULT_USERNAME: tip@ucentral.com
OWSEC_DEFAULT_PASSWORD: openwifi
#OWSEC_NEW_PASSWORD: "" # Set this value in order for the check to work. Password must comply https://github.com/Telecominfraproject/wlan-cloud-ucentralsec/#authenticationvalidationexpression
activeDeadlineSeconds: 2400
backoffLimit: 5
restartPolicy: OnFailure
@@ -127,9 +102,7 @@ clustersysteminfo:
# OpenWIFI Load Simulator (https://github.com/Telecominfraproject/wlan-cloud-owls)
owls:
enabled: false
fullnameOverride: owls
configProperties:
openwifi.kafka.enable: "true"
openwifi.kafka.brokerlist: kafka:9092
@@ -137,17 +110,13 @@ owls:
# OpenWIFI Load Simulator UI (https://github.com/Telecominfraproject/wlan-cloud-owls-ui)
owlsui:
enabled: false
fullnameOverride: owlsui
# HAproxy (https://github.com/bitnami/charts/tree/master/bitnami/haproxy)
haproxy:
enabled: true
fullnameOverride: proxy
replicaCount: 3
replicaCount: 1
service:
type: LoadBalancer
ports:
@@ -428,7 +397,6 @@ haproxy:
# Cert-manager RESTAPI certs
restapiCerts:
enabled: false
services:
- owgw-owgw
- owsec-owsec
@@ -438,9 +406,22 @@ restapiCerts:
- owanalytics-owanalytics
- owsub-owsub
- owrrm-owrrm
clusterDomain: cluster.local
postgresql:
enabled: false
nameOverride: pgsql
fullnameOverride: pgsql
initDbScriptSecret:
enabled: false
services:
- owgw
- owsec
- owfms
- owprov
- owanalytics
- owsub
postgresql-ha:
enabled: false
nameOverride: pgsql

View File

@@ -1,19 +1,19 @@
# Image tags
COMPOSE_PROJECT_NAME=openwifi
OWGW_TAG=master
OWGWUI_TAG=main
OWSEC_TAG=main
OWFMS_TAG=main
OWPROV_TAG=main
OWPROVUI_TAG=main
OWANALYTICS_TAG=main
OWSUB_TAG=main
OWGW_TAG=v3.1.0
OWGWUI_TAG=v3.1.0
OWSEC_TAG=v3.1.0
OWFMS_TAG=v3.1.0
OWPROV_TAG=v3.1.0
OWPROVUI_TAG=v3.1.0
OWANALYTICS_TAG=v3.1.0
OWSUB_TAG=v3.1.0
KAFKA_TAG=2.8.0-debian-10-r43
ZOOKEEPER_TAG=3.8
POSTGRESQL_TAG=15.0
MYSQL_TAG=latest
# NOTE currently OWRRM is only supported in LB installations
#OWRRM_TAG=main
#OWRRM_TAG=v2.8.0
# Microservice root/config directories
OWGW_ROOT=/owgw-data

View File

@@ -1,14 +1,14 @@
# Image tags
COMPOSE_PROJECT_NAME=openwifi
OWGW_TAG=master
OWGWUI_TAG=main
OWSEC_TAG=main
OWFMS_TAG=main
OWPROV_TAG=main
OWPROVUI_TAG=main
OWANALYTICS_TAG=main
OWSUB_TAG=main
OWRRM_TAG=main
OWGW_TAG=v3.1.0
OWGWUI_TAG=v3.1.0
OWSEC_TAG=v3.1.0
OWFMS_TAG=v3.1.0
OWPROV_TAG=v3.1.0
OWPROVUI_TAG=v3.1.0
OWANALYTICS_TAG=v3.1.0
OWSUB_TAG=v3.1.0
OWRRM_TAG=v2.8.0
KAFKA_TAG=2.8.0-debian-10-r43
ZOOKEEPER_TAG=3.8
ACMESH_TAG=latest

View File

@@ -1,14 +1,14 @@
# Image tags
COMPOSE_PROJECT_NAME=openwifi
OWGW_TAG=master
OWGWUI_TAG=main
OWSEC_TAG=main
OWFMS_TAG=main
OWPROV_TAG=main
OWPROVUI_TAG=main
OWANALYTICS_TAG=main
OWSUB_TAG=main
OWRRM_TAG=main
OWGW_TAG=v3.1.0
OWGWUI_TAG=v3.1.0
OWSEC_TAG=v3.1.0
OWFMS_TAG=v3.1.0
OWPROV_TAG=v3.1.0
OWPROVUI_TAG=v3.1.0
OWANALYTICS_TAG=v3.1.0
OWSUB_TAG=v3.1.0
OWRRM_TAG=v2.8.0
KAFKA_TAG=2.8.0-debian-10-r43
ZOOKEEPER_TAG=3.8
ACMESH_TAG=latest